.RegSection {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 36px;
  text-align: left;
}

.regForm {
  max-width: 561px;
  width: 100%;
  height: fit-content;
  border: 1px solid var(--grey);
  padding: 40px;
  display: grid;
  gap: 36px;

  /* To get box-shadow i followed this tutorial: ;https://www.w3schools.com/css/css3_shadows_box.asp */
  box-shadow: 0 4px 6px 0 rgba(0, 0, 0, 0.2), 0 6px 10px 0 rgba(0, 0, 0, 0.1);
}

.field {
  line-height: 30px;
}

.inputField {
  width: 100%;
  height: 52px;
  font-size: 1.125rem;
  padding: 10px;
}

::placeholder {
  color: var(--black);
  opacity: 0.5;
}

.RegBtn {
  width: 80%;
  height: 52px;
  background-color: var(--primary-color);
  color: var(--white);
  margin: 0 auto;
  cursor: pointer;
}

.RegBtn:hover {
  background-color: var(--white);
  color: var(--black);
  border: 1px solid;
}

.textUnderFrom {
  display: flex;
  gap: 5px;
  margin-top: 36px;
}

.checkbox {
  margin-top: 20px;
}

.input-error {
  border: 2px solid var(--danger-color);
}

.error-message {
  color: var(--danger-color);
  font-size: 0.9em;
  margin-top: 4px;
}

@media only screen and (max-width: 750px) {
  .regForm {
    padding: 40px 20px 44px 20px;
    gap: 36px;
  }
}
